Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.common
Class OWSCapabilitiesBaseDocument_1_0

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.owscommon.OWSCommonCapabilitiesDocument
                      org.deegree.ogcwebservices.wass.common.OWSCapabilitiesBaseDocument_1_0

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WASCapabilitiesDocument, WSSCapabilitiesDocument

    public abstract class OWSCapabilitiesBaseDocument_1_0

extends OWSCommonCapabilitiesDocument

The owscapabilities 1.0 specification parser. This class is able to parse the changes made in the ows capabilites specifications 1.0.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`ALL_NAME, CONTENTS_NAME, OGCNS, OPERATIONS_METADATA_NAME, OWSNS, SERVICE_IDENTIFICATION_NAME, SERVICE_PROVIDER_NAME`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`OWSCapabilitiesBaseDocument_1_0()`

Method Summary
`void` | `createEmptyDocument(String template)` Creates an empty document loaded from the template given.
`Operation_1_0` | `parseOperation(Element root)`
`OperationsMetadata_1_0` | `parseOperationsMetadata()`
`ServiceIdentification` | `parseServiceIdentification()` Returns the class representation for the `ServiceIdentification` section of the document, according to the ows 1.0 spec.
`ServiceProvider` | `parseServiceProvider()` Wrapper to make it consistent.
`ArrayList<SupportedAuthenticationMethod>` | `parseSupportedAuthenticationMethods(String nameSpace)`

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`getCodeType, getContraints, getDCP, getDCPs, getKeywords, getKeywords, getOperation, getOWSDomainType, getServiceIdentification, getServiceProvider, getWGS84BoundingBoxType`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseCapabilities, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OWSCapabilitiesBaseDocument_1_0

    public OWSCapabilitiesBaseDocument_1_0()

Method Detail

### createEmptyDocument

    public void createEmptyDocument(String template)
                             throws IOException,
                                    SAXException

  Creates an empty document loaded from the template given.

  Parameters:
    `template` - the location/name of the template
  Throws:
    `IOException`
    `SAXException`

### parseServiceIdentification

    public ServiceIdentification parseServiceIdentification()
                                                     throws XMLParsingException

  Returns the class representation for the `ServiceIdentification` section of the document, according to the ows 1.0 spec.

  Returns:
    class representation for the `ServiceIdentification` section
  Throws:
    `XMLParsingException`

### parseServiceProvider

    public ServiceProvider parseServiceProvider()
                                         throws XMLParsingException

  Wrapper to make it consistent.

  Returns:
    the ServiceProvider representation
  Throws:
    `XMLParsingException`

### parseOperationsMetadata

    public OperationsMetadata_1_0 parseOperationsMetadata()
                                                   throws XMLParsingException,
                                                          InvalidCapabilitiesException,
                                                          URISyntaxException

  Returns:
    the OperationsMetada representation
  Throws:
    `XMLParsingException`
    `InvalidCapabilitiesException`
    `URISyntaxException`

### parseOperation

    public Operation_1_0 parseOperation(Element root)
                                 throws XMLParsingException,
                                        URISyntaxException

  Parameters:
    `root` - the root node of the Operation xml fragment.
  Returns:
    The operation representation 1.0 conform
  Throws:
    `XMLParsingException`
    `URISyntaxException`

### parseSupportedAuthenticationMethods

    public ArrayList<SupportedAuthenticationMethod> parseSupportedAuthenticationMethods(String nameSpace)
                                                                                 throws XMLParsingException,
                                                                                        MalformedURLException

  Parameters:
    `nameSpace` - The namespace of the supportedauthenticationlist should be wss or was
  Returns:
    ArrayList
  Throws:
    `XMLParsingException`
    `MalformedURLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org